Name:		referencer
Version:	1.2.2
Release:	%mkrel 5
Summary:	Bibliography reference management tool for GNOME
License:	GPLv2
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/referencer/
Source0:	https://launchpad.net/referencer/1./%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gconfmm-2.6) >= 2.12.0
BuildRequires:	pkgconfig(gtkmm-2.4) >= 2.22.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.6
BuildRequires:	pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	gettext-devel

%description
Referencer is a GNOME application to organise documents or references, and
ultimately generate a BibTeX bibliography file.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x --disable-update-mime-database
%make

%install
%make_install

# fd.o icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{scalable,48x48,32x32,16x16}/apps
install -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
convert -scale 48 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc README AUTHORS ChangeLog TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/*/*-C.omf
%lang(de) %{_datadir}/omf/*/*-de.omf


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 1.2.2-5.mga6
+ Revision: 1070644
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.2.2-4.mga6
+ Revision: 1046199
- test rebuild for poppler

* Sat Dec 26 2015 daviddavid <daviddavid> 1.2.2-3.mga6
+ Revision: 915206
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 1.2.2-2.mga6
+ Revision: 883493
- rebuild for new boost-1.59.0

* Thu Sep 24 2015 daviddavid <daviddavid> 1.2.2-1.mga6
+ Revision: 882689
- new version: 1.2.2
- introduce license macro

* Thu Aug 27 2015 cjw <cjw> 1.2.1-8.mga6
+ Revision: 870106
- rebuild with gcc 5

* Sat Aug 01 2015 cjw <cjw> 1.2.1-7.mga6
+ Revision: 860397
- add -std=gnu++11 to CXXFLAGS to fix build with gtkmm

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 743680
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 688644
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 1.2.1-4.mga5
+ Revision: 586780
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 529271
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 1.2.1-2.mga4
+ Revision: 451209
- rebuild for new boost
- drop unused pic

* Sat Jun 01 2013 fwang <fwang> 1.2.1-1.mga4
+ Revision: 433916
- new version 1.2.1

* Wed Apr 10 2013 barjac <barjac> 1.1.6-17.mga3
+ Revision: 409468
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 1.1.6-16.mga3
+ Revision: 380279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.1.6-15.mga3
+ Revision: 338394
- patch1: fix build with automake 1.13
- update poppler patch for poppler 0.22

* Thu Dec 20 2012 fwang <fwang> 1.1.6-14.mga3
+ Revision: 333102
- rebuild for new boost

* Mon Dec 03 2012 cjw <cjw> 1.1.6-13.mga3
+ Revision: 325746
- add poppler 0.21 to patch0 to fix build failure

* Fri Aug 03 2012 fwang <fwang> 1.1.6-12.mga3
+ Revision: 278088
- recognize more recent poppler
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.1.6-11.mga3
+ Revision: 250149
- br gettext-devel
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 1.1.6-10.mga2
+ Revision: 173637
- rebuild for new boost

* Tue Sep 27 2011 ovitters <ovitters> 1.1.6-9.mga2
+ Revision: 149635
- update patch for poppler 0.18
- rebuild for new poppler

  + fwang <fwang>
    - rebuild for new boost

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jun 22 2011 fwang <fwang> 1.1.6-7.mga2
+ Revision: 112011
- rebuild for new boost

* Thu Apr 21 2011 cjw <cjw> 1.1.6-6.mga1
+ Revision: 89632
- imported package referencer

